% ----------------------
% param.m
% ----------------------
% loads exogenous parameters
% ----------------------

global gam0 rho r0 delta sigma epsl epsp

aveage  = 40;                   % average ages working
gam0    = aveage/(aveage+1);    % surivival probability
rho     = .045;                 % discount rate
r0      = .05;                  % interest rate
delta   = 0.1;                  % depreciation rate
sigma   = 0.25;                 % intertemporal elasticity of substitution
epsl    = 0.3;                  % labor supply elasticity (hours)
epsp    = 0.5;                  % participation elasticity

global L0 w0 theta0 N0 NB0 Y0 psi ell0 part0 omega t

L0      = 35;                   % total labor supply in eff. units
w0      = 2;                    % wage rate
theta0  = 1;                    % labor productivity parameter
N0      = 100;                  % noramlized population size
NB0     = (1-gam0)*N0;          % newborns
Y0      = 100;                  % normalized output
psi     = 10;                   % scaling factor adjustment costs
part0   = 0.7;                  % participation rate
ell0    = L0/(N0*theta0*part0); % per capita labor supply
omega   = 0;                    % fixed part of home production

t       = 1;                    % time index

