% ----------------------
% runme.m
% ----------------------
% 'Blanchard_intensive': Chapter 4.5.2
% March 3, 2014 Philip Schuster
% 
% computes the transition of a shock
% in a simple Blanchard model (open economy)
% with intensive and extensive margin labor supply
% ----------------------

clear all;  % clear all variables
clc;        % clear screen

fprintf('BLANCHARD MODEL OF OPEN ECONOMY - TRANSITIONAL DYNAMICS\n\n');

% DATA AND CALIBRATION
global tend findrootmethod

findrootmethod = 1; % use simple Newton-Raphson method (=1)
tend    = 300; % number of periods

param; % loads exogenous parameters
calib; % calibrates the model

% COMPUTE JACOBIAN FOR DYNAMIC SOLUTION
jacob = compjacob(guess);

% COMPUTE INITIAL STEADY STATE
ISS;

% REFORMS
%omega = w0*0.1;
theta = theta*1.01;

% COMPUTE FINAL STEADY STATE
FSS;

% SOLVE FOR TRANSITIONS
%[actual, retcode] = gft(guess,jacob);   % Generalized Fair-Taylor
[actual, retcode] = ft(guess);         % Original Fair-Taylor
